package com.vdr.plugins.vodcatcher;

import com.sun.net.httpserver.*;
import java.io.*;
import java.net.*;

class DateHandler implements HttpHandler 
{ 
  public void handle( HttpExchange httpExchange ) throws IOException 
  {
	File file = new File(httpExchange.getRequestURI().toString().replace("/", ""));
	long length = file.length();
	FileInputStream in = new FileInputStream (file);
    httpExchange.getResponseHeaders().add( "Content-type", "text/html" ); 
    httpExchange.sendResponseHeaders( 200, length ); 
    OutputStream os = httpExchange.getResponseBody();
    byte[] buffer = new byte[8];
    int len;
    while ((len = in.read(buffer)) != -1)
    { 
    	os.write(buffer,0, len); 
    } 

    os.close(); 
  } 
}


public class HTTPServer {
	
	public static void main(String[] args) {
		
		try {
		    HttpServer server = HttpServer.create( new InetSocketAddress(Integer.parseInt(args[0]) ), 0 ); 
		    server.createContext( "/", new DateHandler() ); 
		    server.start();
			
		} catch (Exception e) {
			System.err.println(e.getMessage());
		}
	}

}
