package com.vdr.plugins.vodcatcher.brainblog;

import java.net.URL;
import java.util.Iterator;
import java.util.List;
import java.util.Vector;
import java.net.URL;
import java.net.URLConnection;
import java.io.*;
import org.jdom.*; 
import org.jdom.input.*; 
import com.sun.syndication.feed.synd.*;
import com.sun.syndication.io.*;



public class Brainblogparser {
	
	private String rssfeeds = "";
	
	private String getBrainblogEnclosureLink(String itempage) {

	    String medialink = new String();
		try {
			//Öffne link
			URL url = new URL(itempage);
			URLConnection con = url.openConnection();
			
			BufferedReader bi = new BufferedReader(new InputStreamReader(con.getInputStream()));
		    String line;

		    while ((line = bi.readLine()) != null)
		    {
		    	if (line.matches(".*flashvars.*")) {
			    	medialink = line.split("file=")[1].split("&")[0];
			    	
		    	}
		    		

		    }
			
		} catch (Exception e) {
			System.err.println(e.getMessage());
		}
		
		return medialink;
		
	}
	
	
	public String getFeedEntries(){
		return rssfeeds;
	}
	

	public Brainblogparser(String url_prefix){
		
		try {
			
	    	//Hole RSS xml aus den geparsten links 
	    	URL feedUrl = new URL("http://www.brainblog.to/xml-rss2.php");
	        SyndFeedInput input = new SyndFeedInput();
	        
	        //RSS in das SyndFeed Object Parsen
	        SyndFeed feed = input.build(new XmlReader(feedUrl));
	        
            //Über den Feed loopen
            List items = feed.getEntries();
            Iterator i = items.iterator();
            
            //l�schliste holen f�r nicht video inhalte
            Vector toRemove = new Vector();
            
            while (i.hasNext()) {
            	SyndEntryImpl current = (SyndEntryImpl) i.next();
            	SyndEnclosureImpl enc = new SyndEnclosureImpl();
            	
            	if (current.getDescription().getValue().matches(".*url=http://www.brainblog.to.*")){
            		
//            		System.out.println(getBrainblogEnclosureLink(current.getDescription().getValue().split("url=")[1].split("\"")[0]));
	            	enc.setUrl(getBrainblogEnclosureLink(current.getDescription().getValue().split("url=")[1].split("\"")[0]));
	            	enc.setType("video/wmv");

            	} else {
                	//Wenn das Video nicht auf brainblog liegt --> raus damit
                	toRemove.add(current);
            		
            	}
            	
	            	List enclist = current.getEnclosures();
	            	enclist.add(enc);
	            	current.setEnclosures(enclist);
            }
            //Alle nicht video inhalte l�schen
            items.removeAll(toRemove);

        	//den Feed in datei schreiben
            Writer writer = new FileWriter(feed.getTitle().replace(" ", "_") + ".xml");
            SyndFeedOutput output = new SyndFeedOutput();
            output.output(feed,writer);
            writer.close();
            rssfeeds += "FEED_URL=" + url_prefix + "/" + feed.getTitle().replace(" ", "_") + ".xml\n";
            
			
		} catch (Exception e) {
			System.err.println(e.getMessage());
		}

		
	}

}
