package com.vdr.plugins.vodcatcher.youporn;

import java.net.MalformedURLException;
import java.net.URL;
import java.io.*;
import java.net.URLConnection;
import com.sun.syndication.feed.synd.*;
import com.sun.syndication.io.*;
import java.util.ArrayList;
import java.util.List;
import java.util.Iterator;

public class Youpornparser {
	

	private String rssfeeds = "";
	
	public String getFeedEntries () {
		return rssfeeds;
	}

	public Youpornparser(String url_prefix) {

		try {
				
				String cookie = "__utma=60671397.1341618993.1198254651.1198254651.1198254651.1; __utmb=60671397; __utmc=60671397; __utmz=60671397.1198254651.1.1.utmccn=(direct)|utmcsr=(direct)|utmcmd=(none); age_check=1";
				URL url = new URL("http://www.youporn.com");
				URLConnection con = url.openConnection();
				con.setRequestProperty("Cookie", cookie);
				BufferedReader bi = new BufferedReader(new InputStreamReader(con.getInputStream()));
			    String line;
			    
                SyndFeed feed = new SyndFeedImpl();
                feed.setFeedType("rss_2.0");
                feed.setTitle("Youporn RSS Feed");
                feed.setLink("www.youporn.com");
                feed.setDescription("Current Youporn.com entries");
                List entries = new ArrayList();
			    
			    while ((line = bi.readLine()) != null)
			    {
			    	SyndEntry entry = new SyndEntryImpl();
	                SyndContent description = new SyndContentImpl();

			    	if (line.matches(".*a href=.*watch.*thumb.*")) {

		                entry.setLink("http://www.youporn.com" + line.split("\"")[1]);
		                description.setType("text/plain");
		                description.setValue(line.split("\"")[7]);
		                entry.setDescription(description);
		                entries.add(entry);
			    	}
			    } 
			    feed.setEntries(entries);
			    
			    
			    Iterator it = entries.iterator();
			    
			    while (it.hasNext()){
	                SyndEntry entry = (SyndEntry)it.next();
					URL entryurl = new URL(entry.getLink());
					URLConnection entrycon = entryurl.openConnection();
					entrycon.setRequestProperty("Cookie", cookie);
					BufferedReader entrybi = new BufferedReader(new InputStreamReader(entrycon.getInputStream()));
				    line  = "";
				    while ((line = entrybi.readLine()) != null)
				    {
				    	if (line.matches(".*FLV.*")) {
				    		SyndEnclosureImpl enc = new SyndEnclosureImpl();
				    		enc.setUrl(line.split("\"")[1]);
			            	enc.setType("video/wmv");
			            	List enclist = entry.getEnclosures();
			            	enclist.add(enc);
			            	entry.setEnclosures(enclist);
				    	}
				    	if (line.matches(".*<title>.*")) {
				    		entry.setTitle(line.split("-")[1].split("<")[0]);
				    		
				    	}
				    } 
			    	
			    }
			    
	            Writer writer = new FileWriter(feed.getTitle().replace(" ", "_") + ".xml");
	            SyndFeedOutput output = new SyndFeedOutput();
	            output.output(feed,writer);
	            writer.close();
	            rssfeeds += "FEED_URL=" + url_prefix + "/" + feed.getTitle().replace(" ", "_") + ".xml\n";
	            
			} catch (MalformedURLException e) {}
			catch (Exception e){
				System.err.println("ERROR: " + e.getMessage());
			} 

		}
		
		

}