package com.vdr.plugins.vodcatcher.zdfmediathek;

import java.util.List;
import java.util.Iterator;
import java.util.Vector;
import java.net.URL;
import java.net.URLConnection;
import org.jdom.*; 
import org.jdom.input.*; 
import java.util.zip.*;


public class RSSLinkGetter {
	
	private String link = "http://www.zdf.de/ZDFmediathek/inhalt";
	
	private Vector linklist = new Vector();
	
	public Vector getLinklist() {
		
		return linklist ;
		
	}
	
	
	public RSSLinkGetter () {
		
		try {

			//Öffne link
			URL url = new URL(link);
			URLConnection con = url.openConnection();
			con.addRequestProperty("Accept-Encoding", "gzip");
			
			//Die Respone ist gzipped
			GZIPInputStream gzi = new GZIPInputStream(con.getInputStream());
			
			//Parse HTML
			Document doc = new SAXBuilder().build(gzi);
			
			//Get Root
			Element rootelement = doc.getRootElement();
			
			//Get Body
			Element body = (Element) rootelement.getContent(3);
			
			//Descent the xml tree
			Element div = (Element) body.getContent(3);
			div = (Element) div.getContent(8);
			div = (Element) div.getContent(3);
			div = (Element) div.getContent(1);
			div = (Element) div.getContent(1);
			
			//dei linke Spalte mit Sendungen ereicht
			Element ul = (Element) div.getContent(3);
			//dei mittlere Spalte mit Sendungen ereicht
			//Element ul2 = (Element) div.getContent(5);
			//dei rechte Spalte mit Sendungen ereicht
			//Element ul3 = (Element) div.getContent(7);

			//durch die linke tablle loopen
			List sendungsliste = ul.getChildren();
			Iterator it = sendungsliste.iterator();
			
			while ( it.hasNext()){
				Element current_channel = (Element) it.next();
				//Warum es hier zwei tifen gibt weiß ich nicht
				if (current_channel.getContentSize() == 9) {
					Element tmp = (Element) current_channel.getContent(7);
					tmp = (Element) tmp.getContent(1);
					linklist.add(tmp.getAttributeValue("href"));
				}else {
					Element tmp = (Element) current_channel.getContent(5);
					tmp = (Element) tmp.getContent(1);
					linklist.add(tmp.getAttributeValue("href"));
				}
			}
		}
		catch (Exception e){
			System.err.println("ERROR: " + e.getMessage());
		}
		
		
	}
	

}
